Bug 200698 - [MAINTAINER] security/pecl-scrypt: change options, use install-strip to INSTALL_TARGET
Summary: [MAINTAINER] security/pecl-scrypt: change options, use install-strip to INSTA...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-07 17:43 UTC by Horia Racoviceanu
Modified: 2015-09-21 19:03 UTC (History)
1 user (show)

See Also:


Attachments
pecl-scrypt.diff (1.97 KB, patch)
2015-06-07 17:43 UTC, Horia Racoviceanu
no flags Details | Diff
pecl-scrypt.diff (1.96 KB, patch)
2015-06-11 12:34 UTC, Horia Racoviceanu
no flags Details | Diff
pecl-scrypt.diff (1.97 KB, patch)
2015-06-14 17:42 UTC, Horia Racoviceanu
no flags Details | Diff
Build log: pecl-scrypt-1.2_2-10amd64.log (28.47 KB, text/plain)
2015-06-16 00:33 UTC, Horia Racoviceanu
no flags Details
Build log: pecl-scrypt-1.2_2-10i386.log (28.52 KB, text/plain)
2015-06-16 00:35 UTC, Horia Racoviceanu
no flags Details
Build log: pecl-scrypt-1.2_2-9amd64.log (28.39 KB, text/plain)
2015-06-16 00:35 UTC, Horia Racoviceanu
no flags Details
Build log: pecl-scrypt-1.2_2-9i386.log (28.37 KB, text/plain)
2015-06-16 00:36 UTC, Horia Racoviceanu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Horia Racoviceanu 2015-06-07 17:43:20 UTC
Created attachment 157507 [details]
pecl-scrypt.diff

- Bump PORTREVISION
- Replace STRIP_CMD with INSTALL_TARGET=install-strip
- Remove STACKPROTECTOR and STACKPROTECTORALL from options
- Add EXAMPLES and TEST to options

# portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
0 fatal errors and 2 warnings found.
Comment 1 Horia Racoviceanu 2015-06-11 12:34:47 UTC
Created attachment 157636 [details]
pecl-scrypt.diff

* Change TEST_PLIST_FILES to use TESTDIR (attachment 157507 [details])

- Bump PORTREVISION
- Replace STRIP_CMD with INSTALL_TARGET=install-strip
- Remove STACKPROTECTOR and STACKPROTECTORALL from options
- Add EXAMPLES and TEST to options

# portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
0 fatal errors and 2 warnings found.
Comment 2 Horia Racoviceanu 2015-06-14 17:42:37 UTC
Created attachment 157732 [details]
pecl-scrypt.diff

* Change TEST_PLIST_FILES to use TESTDIR (fixed)

- Bump PORTREVISION
- Replace STRIP_CMD with INSTALL_TARGET=install-strip
- Remove STACKPROTECTOR and STACKPROTECTORALL from options
- Add EXAMPLES and TEST to options

# portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
0 fatal errors and 2 warnings found.
Comment 3 Horia Racoviceanu 2015-06-16 00:33:01 UTC
Created attachment 157789 [details]
Build log: pecl-scrypt-1.2_2-10amd64.log
Comment 4 Horia Racoviceanu 2015-06-16 00:35:12 UTC
Created attachment 157790 [details]
Build log: pecl-scrypt-1.2_2-10i386.log
Comment 5 Horia Racoviceanu 2015-06-16 00:35:52 UTC
Created attachment 157791 [details]
Build log: pecl-scrypt-1.2_2-9amd64.log
Comment 6 Horia Racoviceanu 2015-06-16 00:36:34 UTC
Created attachment 157792 [details]
Build log: pecl-scrypt-1.2_2-9i386.log
Comment 7 commit-hook freebsd_committer 2015-09-21 19:03:22 UTC
A commit references this bug:

Author: robak
Date: Mon Sep 21 19:03:14 UTC 2015
New revision: 397516
URL: https://svnweb.freebsd.org/changeset/ports/397516

Log:
  security/pecl-scrypt: various fixes and improvements

  - Bump PORTREVISION
  - Replace STRIP_CMD with INSTALL_TARGET=install-strip
  - Remove STACKPROTECTOR and STACKPROTECTORALL from options
  - Add EXAMPLES and TEST to options

  PR:		200698
  Submitted by:	Horia Racoviceanu <horia@racoviceanu.com> (maintainer)

Changes:
  head/security/pecl-scrypt/Makefile
Comment 8 Bartek Rutkowski freebsd_committer 2015-09-21 19:03:54 UTC
Committed, thanks!